/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workaskcheckprice.entity;

import java.util.Date;

import com.jeeplus.common.persistence.ActEntity;
import org.activiti.engine.task.Task;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.modules.sys.entity.Workattachment;
import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;
import java.util.Map;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.activiti.engine.history.HistoricProcessInstance;
import org.activiti.engine.repository.ProcessDefinition;
import org.activiti.engine.runtime.ProcessInstance;
/**
 * 询价与核价Entity
 * @author liuw
 * @version 2017-11-06
 */
public class WorkAskCheckPrice extends ActEntity<WorkAskCheckPrice> {
	
	private static final long serialVersionUID = 1L;
	private String equipmentName;		// 核价设备名称
	private String formatType;		// 规格型号
	private String checkUname;		// 核价人
	private String checkPrice;		// 核价
	private String quotyClient;		// 报价单位
	private String quotyPrice;		// 报价
	private Date quotyVtime;		// 报价有效期
	private String checkNum;		// 核价单编号
	private String status;		// 项目状态
	private WorkFullManage fullManage;		// 全过程管理项目
	private String companyId;		// 公司id
	private String officeId;
	private Boolean processEnded;            //流程是否走到了结束状态(结束：false，未结束：true)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	private String processInstanceId;		// 实例流程id
	private String name;			//查看修改标识
	// -- 临时属性 --//
	// 流程任务
	private Task task;
	private Map<String, Object> variables;
	// 运行中的流程实例
	private ProcessInstance processInstance;
	// 历史的流程实例
	private HistoricProcessInstance historicProcessInstance;
	// 流程定义
	private ProcessDefinition processDefinition;

	public Task getTask() {
		return task;
	}

	public void setTask(Task task) {
		this.task = task;
	}

	public Map<String, Object> getVariables() {
		return variables;
	}

	public void setVariables(Map<String, Object> variables) {
		this.variables = variables;
	}

	public ProcessInstance getProcessInstance() {
		return processInstance;
	}

	public void setProcessInstance(ProcessInstance processInstance) {
		this.processInstance = processInstance;
	}

	public HistoricProcessInstance getHistoricProcessInstance() {
		return historicProcessInstance;
	}

	public void setHistoricProcessInstance(HistoricProcessInstance historicProcessInstance) {
		this.historicProcessInstance = historicProcessInstance;
	}

	public Boolean getProcessEnded() {
		return processEnded;
	}

	public void setProcessEnded(Boolean processEnded) {
		this.processEnded = processEnded;
	}

	public ProcessDefinition getProcessDefinition() {
		return processDefinition;
	}

	public void setProcessDefinition(ProcessDefinition processDefinition) {
		this.processDefinition = processDefinition;
	}
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public WorkAskCheckPrice() {
		super();
	}

	public WorkAskCheckPrice(String id){
		super(id);
	}

	@ExcelField(title="核价设备名称", align=2, sort=7)
	public String getEquipmentName() {
		return equipmentName;
	}

	public void setEquipmentName(String equipmentName) {
		this.equipmentName = equipmentName;
	}
	
	@ExcelField(title="规格型号", align=2, sort=8)
	public String getFormatType() {
		return formatType;
	}

	public void setFormatType(String formatType) {
		this.formatType = formatType;
	}
	
	@ExcelField(title="核价人", align=2, sort=9)
	public String getCheckUname() {
		return checkUname;
	}

	public void setCheckUname(String checkUname) {
		this.checkUname = checkUname;
	}
	
	@ExcelField(title="核价", align=2, sort=10)
	public String getCheckPrice() {
		return checkPrice;
	}

	public void setCheckPrice(String checkPrice) {
		this.checkPrice = checkPrice;
	}
	
	@ExcelField(title="报价单位", align=2, sort=11)
	public String getQuotyClient() {
		return quotyClient;
	}

	public void setQuotyClient(String quotyClient) {
		this.quotyClient = quotyClient;
	}
	
	@ExcelField(title="报价", align=2, sort=12)
	public String getQuotyPrice() {
		return quotyPrice;
	}

	public void setQuotyPrice(String quotyPrice) {
		this.quotyPrice = quotyPrice;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="报价有效期", align=2, sort=13)
	public Date getQuotyVtime() {
		return quotyVtime;
	}

	public void setQuotyVtime(Date quotyVtime) {
		this.quotyVtime = quotyVtime;
	}
	
	@ExcelField(title="核价单编号", align=2, sort=14)
	public String getCheckNum() {
		return checkNum;
	}

	public void setCheckNum(String checkNum) {
		this.checkNum = checkNum;
	}
	
	@ExcelField(title="项目状态", align=2, sort=15)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="全过程管理项目", align=2, sort=16)
	public WorkFullManage getFullManage() {
		return fullManage;
	}

	public void setFullManage(WorkFullManage fullManage) {
		this.fullManage = fullManage;
	}
	
	@ExcelField(title="公司id", align=2, sort=17)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="实例流程id", align=2, sort=18)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
}